Commit 8cfcad3b authored by Ondřej Surý's avatar Ondřej Surý
Browse files

Merge branch 'gitlab-ci' into 'master'

Add support for running builds directly from Gitlab CI

See merge request !20
parents e099ccbd 0ee2dbaa
Pipeline #55 canceled with stage
variables:
DEBIAN_FRONTEND: noninteractive
LC_ALL: C
DOCKER_DRIVER: overlay2
CI_REGISTRY_IMAGE: oerdnj/bind9
stages:
- build
.debian-jessie-amd64: &debian_jessie_amd64_image
image: "$CI_REGISTRY_IMAGE:debian-jessie-amd64"
tags:
- linux
- docker
.debian-jessie-i386: &debian_jessie_i386_image
image: "$CI_REGISTRY_IMAGE:debian-jessie-i386"
tags:
- linux
- docker
.debian-stretch-amd64: &debian_stretch_amd64_image
image: "$CI_REGISTRY_IMAGE:debian-stretch-amd64"
tags:
- linux
- docker
.debian-stretch-i386:: &debian_stretch_i386_image
image: "$CI_REGISTRY_IMAGE:debian-stretch-i386"
tags:
- linux
- docker
.debian-buster-amd64: &debian_buster_amd64_image
image: "$CI_REGISTRY_IMAGE:debian-buster-amd64"
tags:
- linux
- docker
.debian-buster-i386:: &debian_buster_i386_image
image: "$CI_REGISTRY_IMAGE:debian-buster-i386"
tags:
- linux
- docker
.debian-sid-amd64: &debian_sid_amd64_image
image: "$CI_REGISTRY_IMAGE:debian-sid-amd64"
tags:
- linux
- docker
.debian-sid-i386: &debian_sid_i386_image
image: "$CI_REGISTRY_IMAGE:debian-sid-i386"
tags:
- linux
- docker
.ubuntu-trusty-amd64: &ubuntu_trusty_amd64_image
image: "$CI_REGISTRY_IMAGE:ubuntu-trusty-amd64"
tags:
- linux
- docker
.ubuntu-trusty-i386: &ubuntu_trusty_i386_image
image: "$CI_REGISTRY_IMAGE:ubuntu-trusty-i386"
tags:
- linux
- docker
.ubuntu-xenial-amd64: &ubuntu_xenial_amd64_image
image: "$CI_REGISTRY_IMAGE:ubuntu-xenial-amd64"
tags:
- linux
- docker
.ubuntu-xenial-i386: &ubuntu_xenial_i386_image
image: "$CI_REGISTRY_IMAGE:ubuntu-xenial-i386"
tags:
- linux
- docker
.build: &build_job
stage: build
before_script:
- whoami
- ip a s
- ip r s
- bash -x bin/tests/system/ifconfig.sh up
- ./autogen.sh
script:
- ./configure
- make -k all V=1
- make -k check V=1
# artifacts:
# untracked: true
# expire_in: '1 hour'
.test: &test_job
stage: test
before_script:
script:
build:debian:jessie:amd64:
<<: *debian_jessie_amd64_image
<<: *build_job
build:debian:jessie:i386:
<<: *debian_jessie_i386_image
<<: *build_job
build:debian:stretch:amd64:
<<: *debian_stretch_amd64_image
<<: *build_job
build:debian:buster:i386:
<<: *debian_buster_i386_image
<<: *build_job
build:debian:sid:amd64:
<<: *debian_sid_amd64_image
<<: *build_job
build:debian:sid:i386:
<<: *debian_sid_i386_image
<<: *build_job
build:ubuntu:trusty:amd64:
<<: *ubuntu_trusty_amd64_image
<<: *build_job
build:ubuntu:xenial:i386:
<<: *ubuntu_xenial_i386_image
<<: *build_job
FROM centos:latest
MAINTAINER Knot DNS <knot-dns@labs.nic.cz>
ENV DEBIAN_FRONTEND noninteractive
RUN yum -y upgrade
RUN yum -y install epel-release
RUN yum -y install \
'autoconf' \
'automake' \
'bison' \
'libtool' \
'lmdb-devel' \
'pkgconfig' \
'pkgconfig(openssl)' \
'pkgconfig(jansson)' \
'pkgconfig(libcap2)' \
'openldap-devel' \
'krb5-devel' \
'pkgconfig(libxml-2.0)'
FROM debian:oldstable
MAINTAINER BIND 9 Developers <bind9-dev@isc.org>
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -y update
RUN apt-get -y dist-upgrade
RUN apt-get -y install \
autoconf \
automake \
autotools-dev \
bash-completion \
bison \
build-essential \
git \
libcap2-dev \
libdb-dev \
libgeoip-dev \
libkrb5-dev \
libldap2-dev \
liblmdb-dev \
libnet-dns-perl \
libtool \
libssl-dev \
libxml2-dev \
net-tools \
pkg-config \
procps
FROM debian:stable
MAINTAINER BIND 9 Developers <bind9-dev@isc.org>
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -y update
RUN apt-get -y dist-upgrade
RUN apt-get -y install \
autoconf \
automake \
autotools-dev \
bash-completion \
bison \
build-essential \
git \
libcap2-dev \
libdb-dev \
libgeoip-dev \
libkrb5-dev \
libldap2-dev \
liblmdb-dev \
libnet-dns-perl \
libtool \
libssl-dev \
libxml2-dev \
net-tools \
pkg-config \
procps
FROM debian:unstable
MAINTAINER BIND 9 Developers <bind9-dev@isc.org>
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -y update
RUN apt-get -y dist-upgrade
RUN apt-get -y install \
autoconf \
automake \
autotools-dev \
bash-completion \
bison \
build-essential \
git \
libcap2-dev \
libdb-dev \
libgeoip-dev \
libkrb5-dev \
libldap2-dev \
liblmdb-dev \
libnet-dns-perl \
libtool \
libssl-dev \
libxml2-dev \
net-tools \
pkg-config \
procps
FROM debian:oldstable
MAINTAINER BIND 9 Developers <bind9-dev@isc.org>
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -y update
RUN apt-get -y dist-upgrade
RUN apt-get -y install \
autoconf \
automake \
autotools-dev \
bash-completion \
bison \
build-essential \
git \
libcap2-dev \
libdb-dev \
libgeoip-dev \
libkrb5-dev \
libldap2-dev \
liblmdb-dev \
libnet-dns-perl \
libtool \
libssl-dev \
libxml2-dev \
net-tools \
pkg-config \
procps
FROM i386/debian:stable
MAINTAINER BIND 9 Developers <bind9-dev@isc.org>
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -y update
RUN apt-get -y dist-upgrade
RUN apt-get -y install \
autoconf \
automake \
autotools-dev \
bash-completion \
bison \
build-essential \
git \
libcap2-dev \
libdb-dev \
libgeoip-dev \
libkrb5-dev \
libldap2-dev \
liblmdb-dev \
libnet-dns-perl \
libtool \
libssl-dev \
libxml2-dev \
net-tools \
pkg-config \
procps
FROM i386/debian:unstable
MAINTAINER BIND 9 Developers <bind9-dev@isc.org>
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -y update
RUN apt-get -y dist-upgrade
RUN apt-get -y install \
autoconf \
automake \
autotools-dev \
bash-completion \
bison \
build-essential \
git \
libcap2-dev \
libdb-dev \
libgeoip-dev \
libkrb5-dev \
libldap2-dev \
liblmdb-dev \
libnet-dns-perl \
libtool \
libssl-dev \
libxml2-dev \
net-tools \
pkg-config \
procps
FROM fedora:latest
MAINTAINER Knot DNS <knot-dns@labs.nic.cz>
ENV DEBIAN_FRONTEND noninteractive
RUN dnf -y upgrade
RUN yum -y install \
'autoconf' \
'automake' \
'bison' \
'libtool' \
'lmdb-devel' \
'pkgconfig' \
'pkgconfig(openssl)' \
'pkgconfig(jansson)' \
'pkgconfig(libcap2)' \
'openldap-devel' \
'krb5-devel' \
'pkgconfig(libxml-2.0)'
FROM ubuntu:latest
MAINTAINER BIND 9 Developers <bind9-dev@isc.org>
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -y update
RUN apt-get -y dist-upgrade
RUN apt-get -y install \
autoconf \
automake \
autotools-dev \
bash-completion \
bison \
build-essential \
git \
libcap2-dev \
libdb-dev \
libgeoip-dev \
libkrb5-dev \
libldap2-dev \
liblmdb-dev \
libnet-dns-perl \
libtool \
libssl-dev \
libxml2-dev \
net-tools \
pkg-config \
procps
FROM i386/ubuntu:latest
MAINTAINER BIND 9 Developers <bind9-dev@isc.org>
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -y update
RUN apt-get -y dist-upgrade
RUN apt-get -y install \
autoconf \
automake \
autotools-dev \
bash-completion \
bison \
build-essential \
git \
libcap2-dev \
libdb-dev \
libgeoip-dev \
libkrb5-dev \
libldap2-dev \
liblmdb-dev \
libnet-dns-perl \
libtool \
libssl-dev \
libxml2-dev \
net-tools \
pkg-config \
procps
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment